/**
 * @Author: Kane Wang <wangkane@qq.com>
 * @Date: 2025-03-15 18:40:54
 * @LastEditors: Kane Wang
 * @LastModified: 2025-03-17 07:21:58
 * @FilePath: src/main/java/com/cpic/xim/huixiabao/web/controllers/MediCover/MediCoverRequestBody.java
 * @Description:
 * 
 *               Copyright (c) 2025 by Kane All rights reserved
 */
package com.cpic.xim.huixiabao.web.controllers.MediCover;

import com.fasterxml.jackson.annotation.JsonProperty;

public class MediCoverRequestBody
{
    @JsonProperty( "transId" )
    private String transId;

    @JsonProperty( "format" )
    private String format;

    @JsonProperty( "bizContent" )
    private String bizContent;

    @JsonProperty( "key" )
    private String key;

    @JsonProperty( "timestamp" )
    private String timestamp;

    public MediCoverRequestBody(
            String transId,
            String format,
            String bizContent,
            String key,
            String timestamp
    )
    {
        this.transId    = transId;
        this.format     = format;
        this.bizContent = bizContent;
        this.key        = key;
        this.timestamp  = timestamp;
    }

    public MediCoverRequestBody()
    {
    }

    public String getTransId()
    {
        return transId;
    }

    public void setTransId( String transId )
    {
        this.transId = transId;
    }

    public String getFormat()
    {
        return format;
    }

    public void setFormat( String format )
    {
        this.format = format;
    }

    public String getBizContent()
    {
        return bizContent;
    }

    public void setBizContent( String bizContent )
    {
        this.bizContent = bizContent;
    }

    public String getKey()
    {
        return key;
    }

    public void setKey( String key )
    {
        this.key = key;
    }

    public String getTimestamp()
    {
        return timestamp;
    }

    public void setTimestamp( String timestamp )
    {
        this.timestamp = timestamp;
    }

    @Override
    public String toString()
    {
        return "MediCoverRequestBody [transId=" + transId + ", format=" + format + ", bizContent=" + bizContent + ", key=" + key + ", timestamp=" + timestamp + "]";
    }
}